Name:           lorax-templates-almalinux
Version:        9.0
Release:        35%{?dist}
Summary:        AlmaLinux 9 build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
Source0:        lorax-templates-rhel-9.0-35.tar.gz

# Required for the template branding support
Requires:       lorax >= 34.9.1

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/70-almalinux

%description
RHEL-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup -n lorax-templates-rhel-%{version}

# Do not try to install packages not available in AlmaLinux
sed -i '/libreport-rhel-anaconda-bugzilla/d' 80-rhel/runtime-install.tmpl
sed -i '/redhat-release-eula/d' 80-rhel/runtime-install.tmpl

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Tue Oct 18 2022 Andrew Lukoshko <alukoshko@almalinux.org> - 9.0-35
- Update for AlmaLinux 9.1 beta

* Fri Mar 11 2022 Andrew Lukoshko <alukoshko@almalinux.org> - 9.0-33
- Initial build for AlmaLinux 9.0 beta
